﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.IO;

namespace howto_make_folders
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnCreate_Click(object sender, EventArgs e)
        {
            string parent = txtParent.Text.Trim();
            int num_created = 0;
            foreach (string folder in txtFolders.Lines)
            {
                string folder_name = folder.Trim();
                if (folder_name.Length > 0){
                    string full_name = Path.Combine(parent, folder);
                    Directory.CreateDirectory(full_name);
                    num_created++;
                }
            }
            MessageBox.Show("Created " + num_created + " folders.",
                "Folders Created");
        }
    }
}
